#version 460

#include "/lib/settings.glsl"

/* RENDERTARGETS: 0,2 */

layout(location = 0) out vec4 outColor0;
layout(location = 1) out vec4 outColor1;

uniform sampler2D gtexture, lightmap;

#ifdef MC_SPECULAR_MAP
	#ifdef EMISSIVE_MAP
		uniform sampler2D specular;
	#endif
#endif

in vec4 tintColor;

in vec3 normal;

in vec2 texCoord, lmcoord;

in float fogStrength;

in float linearDepth;

in vec2 midTexCoord;

uniform float viewWidth;