void main() {
	float centerDistance = distance(gl_FragCoord.x / viewWidth, 0.5);
	float fogDistance = centerDistance * centerDistance * 100.0 + linearDepth;
	float fog = clamp(pow(fogDistance, 18.0) * fogStrength, 0.0, 1.0);

	// if (color.a < 0.1 || fogDistance > texCoord.x || fogDistance > texCoord.y) discard;
	if (
		fog > 0.001 && (fog > 0.999 || fog > sin(100000.0 * distance(texCoord, midTexCoord)) * 0.5 + 0.5)
		//fog > 0.0001 && (fog > 0.999 || fog * 0.0125 > distance(texCoord, midTexCoord))
	) discard;

	vec4 color = texture(gtexture, texCoord) * tintColor;
	if (color.a < 0.1) discard;